package com.liang.service;

import com.liang.entity.BaseNation;
import com.liang.entity.BaseSchool;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * (BaseSchool)表服务接口
 *
 * @author makejava
 * @since 2023-02-15 23:13:14
 */
public interface BaseSchoolService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BaseSchool queryById(Integer id);

    /**
     * 分页查询
     *
     * @param baseSchool  筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<BaseSchool> queryByPage(BaseSchool baseSchool, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param baseSchool 实例对象
     * @return 实例对象
     */
    BaseSchool insert(BaseSchool baseSchool);

    /**
     * 修改数据
     *
     * @param baseSchool 实例对象
     * @return 实例对象
     */
    BaseSchool update(BaseSchool baseSchool);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取所有数据
     *
     * @return
     */
    List<BaseSchool> queryAll();
}
